Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-14142

Upgrade Google guava from 25.0-jre to 30.1-jre (addresses CVE-2020-8908)

    XMLWordPrintable

Details

    Description

      Update Google guava to 30.1-jre. Exclude all dependencies but failureaccess 1.0.1 according to Google Guava Important Warnings #3.

      Release Notes
      Release-Diff

      The update is justified due to ForkJoin Security Manager improvement: Issue 3784 Commit

      Attachments

        Issue Links

          Activity

            People

              cfang@redhat.com Cheng Fang
              xf01213 Boris Unckel
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: